This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### log()
Examples |
    void setup() {
      int i = 12;
      println(log(i));
      println(log10(i));
    }

    // Calculates the base-10 logarithm of a number
    float log10 (int x) {
      return (log(x) / log(10));
    }
Description | Calculates the natural logarithm (the base-e logarithm) of a number. This function expects the n parameter to be a value greater than 0.0.
Syntax |
    log(n)
Parameters |
n | float: number greater than 0.0
Returns | float

Updated on October 26, 2013 08:58:30pm PDT